[Acquia BLT (Build and Launch Tool)](https://github.com/acquia/blt) generates new Drupal projects using a standardized template derived from Acquia Professional Services' best practices.

Welcome to the BLT documentation site!

# Getting Started

Please read through [Getting started](INSTALL.md) to "install" BLT, then review the usage documentation below.

# Using BLT

* Developer
    * [Onboarding](readme/onboarding.md): “how do I get up and running on project work?”
    * [Repository architecture](readme/repo-architecture.md): “how is the code organized, and why?”
    * [Running project tasks](readme/project-tasks.md): “how do I _____ on my local machine?”
    * [Best practices](readme/best-practices.md): "how should I write code?"
    * [Workflow](readme/dev-workflow.md): “how do I contribute my code to this project?”
    * [Automated testing](readme/testing.md): “how do I write / run them, and why should I care?”
* Technical Architect
    * [Deploying to cloud](readme/deploy.md)
    * [Release process](readme/release-process.md)
    * [Setting up continuous integration](readme/ci.md)
    * [Open source contribution](readme/os-contribution.md)

# Contributing to BLT

Please feel free to edit any of the pages in this documentation via the 'Edit on GitHub' link at the top right. If you would like to help improve BLT, please file issues via the GitHub issue queue. See [CONTRIBUTING.md](CONTRIBUTING.md) for contribution guidelines and instructions.
